<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2000 - INRIA - Carlos Klimann
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="cdfchi">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>cdfchi</refname>
    <refpurpose> cumulative distribution function chi-square distribution</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>[P,Q]=cdfchi("PQ",X,Df)
[X]=cdfchi("X",Df,P,Q);
[Df]=cdfchi("Df",P,Q,X)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>P,Q,Xn,Df</term>
        <listitem>
          <para>four real vectors of the same size.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>P,Q (Q=1-P)  </term>
        <listitem>
          <para> The integral from 0 to X of the chi-square distribution. Input range: [0, 1].</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>X</term>
        <listitem>
          <para>Upper limit of integration of the non-central chi-square distribution. Input range: [0, +infinity). Search range: [0,1E300]</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>Df</term>
        <listitem>
          <para> Degrees of freedom of the chi-square distribution. Input range: (0, +infinity). Search range: [ 1E-300, 1E300]</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    Calculates any one parameter of the chi-square
    distribution given values for the others.</para>
    <para>
    Formula    26.4.19   of Abramowitz  and     Stegun, Handbook  of
    Mathematical Functions   (1966) is used   to reduce the chi-square
    distribution to the incomplete distribution.</para>
    <para>
    Computation of other parameters involve a seach for a value that
    produces  the desired  value  of P.   The search relies  on  the
    monotinicity of P with the other parameter.</para>
    <para>
    From DCDFLIB: Library of Fortran Routines for Cumulative Distribution
    Functions, Inverses, and Other Parameters (February, 1994)
    Barry W. Brown, James Lovato and Kathy Russell. The University of
    Texas.</para>
  </refsection>
</refentry>
